Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdConfig

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig

Direct Known Subclasses:
  `cmdConfig.DateTime`, `cmdConfig.HeaderFooter`

    public class cmdConfig
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdConfig.Baudrate` |
  `static class` | `cmdConfig.DateTime` | Maintenance date and time of fiscal devices
  `static class` | `cmdConfig.HeaderFooter` | Provides methods for setting header and footer *
  `static class` | `cmdConfig.LANSettings` | Data Class

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdConfig()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `GetAutoPaperCutting()` |
  `void` | `GetAutoPaperCutting​(boolean value)` |
  `int` | `GetBarcodeHeight()` |
  `boolean` | `GetDepartmentPrint()` |
  `boolean` | `GetDrawerOpening()` |
  `java.lang.String` | `GetExchangeRate()` |
  `int` | `GetFontType()` |
  `boolean` | `GetForeignPrint()` |
  `java.util.ArrayList<java.lang.String>` | `GetInvoiceInterval()` |
  `cmdConfig.LANSettings` | `GetLANSettings()` | Support Fiscal Devices with LAN
  `int` | `GetLogoHeight()` |
  `boolean` | `GetLogoPrint()` |
  `java.lang.String` | `GetPayName​(int index)` |
  `boolean` | `GetPrintVAT()` |
  `int` | `GetPrnQuality()` |
  `boolean` | `GetReceiptFormat()` |
  `int` | `GetSpaceLines()` |
  `java.lang.String` | `Logo_ReadRow​(int row)` | Customer graphic logo loading.
  `void` | `Logo_SaveToDevice()` | Stores the logo data in the non-volatile (flash) memory:
  `void` | `Logo_WriteRow​(int row, java.lang.String data)` | Customer graphic logo loading.
  `void` | `SetBarcodeHeight​(int value)` |
  `boolean` | `SetCodePageDOS856​(boolean value)` |
  `void` | `setDepartment​(java.lang.String index, java.lang.String taxGr, java.lang.String nameL1, java.lang.String nameL2)` | Name of department Number of department is determined by "Index";
  `void` | `SetDepartmentPrint​(boolean value)` | Drawer
  `void` | `SetDrawerOpening​(boolean value)` | Drawer
  `void` | `SetFontType​(int value)` |
  `void` | `SetForeignPrint​(boolean enable, java.lang.String ExRate)` |
  `boolean` | `SetFpComBaudRate​(cmdConfig.Baudrate value)` |
  `long` | `SetInvoiceInterval​(java.lang.String startNumber, java.lang.String endNumber)` | Use If the current invoice counter have reached the end of the interval.
  `void` | `SetLANSettings​(cmdConfig.LANSettings lanSettings)` | Support Fiscal Devices with LAN
  `void` | `SetLogoPrint​(boolean enable, java.lang.String height)` |
  `void` | `SetOperName​(int index, java.lang.String pass, java.lang.String name)` | Set operator name
  `void` | `SetOperPasw​(int operIndex, java.lang.String oldPass, java.lang.String newPass)` | Set operator password
  `void` | `SetPayName​(int index, java.lang.String name)` | Name of payment.
  `void` | `SetPrintVAT​(boolean value)` |
  `void` | `SetPrnQuality​(int value)` |
  `void` | `SetReceiptFormat​(boolean value)` |
  `void` | `SetSpaceLines​(int value)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdConfig

    public cmdConfig()

- ## Method Details

  - ### GetLANSettings

    public cmdConfig.LANSettings GetLANSettings() throws java.lang.Exception
    Support Fiscal Devices with LAN
    Returns:
      LANSettings
    Throws:
      `java.lang.Exception`

  - ### SetLANSettings

    public void SetLANSettings​(cmdConfig.LANSettings lanSettings) throws java.lang.Exception
    Support Fiscal Devices with LAN
    Parameters:
      `lanSettings` -
    Throws:
      `java.lang.Exception`

  - ### SetCodePageDOS856

    public boolean SetCodePageDOS856​(boolean value) throws java.lang.Exception
    Parameters:
      `value` - If true code table is 856 else 1251
    Returns:
      true if Success
    Throws:
      `java.lang.Exception`

  - ### SetFpComBaudRate

    public boolean SetFpComBaudRate​(cmdConfig.Baudrate value) throws java.lang.Exception
    Parameters:
      `value` - Baud rate of COM port for communication with PC bps1200, bps2400, bps4800, bps9600, bps19200, bps38400, bps57600, bps115200
    Returns:
    Throws:
      `java.lang.Exception`

  - ### SetBarcodeHeight

    public void SetBarcodeHeight​(int value) throws java.lang.Exception
    Parameters:
      `value` - Barcode height: Possible values â€‹â€‹3 mm 30 mm.
    Throws:
      `java.lang.Exception`

  - ### GetBarcodeHeight

    public int GetBarcodeHeight() throws java.lang.Exception
    Returns:
      Barcode height
    Throws:
      `java.lang.Exception`

  - ### SetOperName

    public void SetOperName​(int index, java.lang.String pass, java.lang.String name) throws java.lang.Exception
    Set operator name
    Parameters:
      `index` - Operator code. Between 1 and 30
      `pass` - (between 1 and 8 digits).
      `name` - Operator name (up to 24 characters).
    Throws:
      `java.lang.Exception`

  - ### SetOperPasw

    public void SetOperPasw​(int operIndex, java.lang.String oldPass, java.lang.String newPass) throws java.lang.Exception
    Set operator password
    Parameters:
      `operIndex` - - Operator code. Between 1 and 30.
      `oldPass` - - Old password (between 1 and 8 digits).
      `newPass` - - New password (between 1 and 8 digits).
    Throws:
      `java.lang.Exception`

  - ### setDepartment

    public void setDepartment​(java.lang.String index, java.lang.String taxGr, java.lang.String nameL1, java.lang.String nameL2) throws java.lang.Exception
    Name of department Number of department is determined by "Index";
    Parameters:
      `index` - - Department number. An integer from 1 to MAX DEPARTMENT.
      `taxGr` - - A,B,C,D,E,F,G,H
      `nameL1` - - Name or text for the department description.
      `nameL2` -
    Throws:
      `java.lang.Exception`

  - ### GetPayName

    public java.lang.String GetPayName​(int index) throws java.lang.Exception
    Parameters:
      `index` - Number of payment Additional payment 1. Additional payment 2. Additional payment 3. Additional payment 4. Additional payment 5. Additional payment 6. //Not Supported on DP-05, DP-25, DP-35, WP-50, DP-150 Additional payment 7. //Not Supported on DP-05, DP-25, DP-35, WP-50, DP-150 Additional payment 8. //Not Supported on DP-05, DP-25, DP-35, WP-50, DP-150 Additional payment 9. //Not Supported on DP-05, DP-25, DP-35, WP-50, DP-150 Additional payment 10.//Not Supported on DP-05, DP-25, DP-35, WP-50, DP-150 Additional payment 11.//Not Supported on DP-05, DP-25, DP-35, WP-50, DP-150
    Returns:
      - Name of payment. Text up to 24 symbols.
    Throws:
      `java.lang.Exception`

  - ### SetPayName

    public void SetPayName​(int index, java.lang.String name) throws java.lang.Exception
    Name of payment. Text up to 24 symbols. Number of payment is determined by "Index";
    Parameters:
      `index` - Number of payment Additional payment 1. Additional payment 2. Additional payment 3. Additional payment 4. Additional payment 5. Additional payment 6. Additional payment 7. Additional payment 8. Additional payment 9. Additional payment 10. Additional payment 11.
      `name` - Name of payment. Text up to 10 symbols.
    Throws:
      `java.lang.Exception`

  - ### Logo_WriteRow

    public void Logo_WriteRow​(int row, java.lang.String data) throws java.lang.Exception
    Customer graphic logo loading.
    Parameters:
      `data` - - Graphic data. Set as hexadecimals, two characters for each byte of information. The data length is up to 72 bytes. If it is less than that, the data are automatically padded with 00.
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.Exception`

  - ### Logo_ReadRow

    public java.lang.String Logo_ReadRow​(int row) throws java.lang.Exception
    Customer graphic logo loading.
    Parameters:
      `row` - Number between 0 and 95.
    Returns:
      - Graphic data. Set as hexadecimals, two characters for each byte of information. The data length is up to 72 bytes. If it is less than that, the data are automatically padded with 00.\
    Throws:
      `java.io.IOException`
      `java.lang.Exception`

  - ### Logo_SaveToDevice

    public void Logo_SaveToDevice() throws java.lang.Exception
    Stores the logo data in the non-volatile (flash) memory:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.Exception`

  - ### SetPrnQuality

    public void SetPrnQuality​(int value) throws java.lang.Exception
    Parameters:
      `value` - Sets print density. Possible values: '0': Very pale '1': Bled '2': Normal '3': Thick '4': Very dense
    Throws:
      `java.lang.Exception`

  - ### GetPrnQuality

    public int GetPrnQuality() throws java.lang.Exception
    Returns:
      print density. '0': Very pale '1': Bled '2': Normal '3': Thick '4': Very dense
    Throws:
      `java.lang.Exception`

  - ### SetLogoPrint

    public void SetLogoPrint​(boolean enable, java.lang.String height) throws java.lang.Exception
    Parameters:
      `enable` - Enable / Disable Printing of the Graphic Logo Immediately before HEADER.
      `height` - the height of the logo in pixels
    Throws:
      `java.lang.Exception`

  - ### GetLogoPrint

    public boolean GetLogoPrint() throws java.lang.Exception
    Returns:
      Printing of the Graphic Logo Immediately before HEADER.
    Throws:
      `java.lang.Exception`

  - ### GetLogoHeight

    public int GetLogoHeight() throws java.lang.Exception
    Returns:
      Height of the Graphic Logo.
    Throws:
      `java.lang.Exception`

  - ### SetForeignPrint

    public void SetForeignPrint​(boolean enable, java.lang.String ExRate) throws java.lang.Exception
    Parameters:
      `enable` - Allow / disable the print of the total amount in EUR
      `ExRate` - Exchange rate. Floating number with up to 8 significant digits and 5decimal digits. If missing, the old value is retained.
    Throws:
      `java.lang.Exception`

  - ### GetForeignPrint

    public boolean GetForeignPrint() throws java.lang.Exception
    Returns:
      True if print of the total amount in EUR
    Throws:
      `java.lang.Exception`

  - ### GetExchangeRate

    public java.lang.String GetExchangeRate() throws java.lang.Exception
    Returns:
      Exchange rate. Floating number with up to 8 significant digits and 5 decimal digits.
    Throws:
      `java.lang.Exception`

  - ### SetReceiptFormat

    public void SetReceiptFormat​(boolean value) throws java.lang.Exception
    Parameters:
      `value` - Automatic formatting of sales as an invoice (4 separate rows).
    Throws:
      `java.lang.Exception`

  - ### GetReceiptFormat

    public boolean GetReceiptFormat() throws java.lang.Exception
    Returns:
      Print Automatic formatting of sales as an invoice (4 separate rows).
    Throws:
      `java.lang.Exception`

  - ### GetPrintVAT

    public boolean GetPrintVAT() throws java.lang.Exception
    Returns:
      Print Accumulated VAT on the normal (not expanded) fiscal receipt.
    Throws:
      `java.lang.Exception`

  - ### SetPrintVAT

    public void SetPrintVAT​(boolean value) throws java.lang.Exception
    Parameters:
      `value` - Enable / Disable Print Accumulated VAT on the normal (not expanded) fiscal receipt.
    Throws:
      `java.lang.Exception`

  - ### GetFontType

    public int GetFontType() throws java.lang.Exception
    Returns:
      font to the printer. Possible values: 0 32 points (4 mm) height, higher letters 1 32 points (4 mm) height, normal letters 2 24 points (3 mm) height
    Throws:
      `java.lang.Exception`

  - ### SetFontType

    public void SetFontType​(int value) throws java.lang.Exception
    Parameters:
      `value` - Set the font to the printer. Possible values: 0 32 points (4 mm) height, higher letters 1 32 points (4 mm) height, normal letters 2 24 points (3 mm) height
    Throws:
      `java.lang.Exception`

  - ### GetSpaceLines

    public int GetSpaceLines() throws java.lang.Exception
    Returns:
      the extra distance in pixels (0.125 mm) between the letters in turned 90-degree service bundle. Possible values â€‹â€‹from 0 to 4.
    Throws:
      `java.lang.Exception`

  - ### SetSpaceLines

    public void SetSpaceLines​(int value) throws java.lang.Exception
    Parameters:
      `value` - -Specifies the extra distance in pixels (0.125 mm) between the letters in turned 90-degree service bundle. Possible values â€‹â€‹from 0 to 4.
    Throws:
      `java.lang.Exception`

  - ### GetAutoPaperCutting

    public boolean GetAutoPaperCutting() throws java.lang.Exception
    Returns:
      Auto paper cutting
    Throws:
      `java.lang.Exception`

  - ### GetAutoPaperCutting

    public void GetAutoPaperCutting​(boolean value) throws java.lang.Exception
    Parameters:
      `value` - Enable / Disable Auto paper cutting
    Throws:
      `java.lang.Exception`

  - ### GetDrawerOpening

    public boolean GetDrawerOpening() throws java.lang.Exception
    Returns:
      Auto Drawer opening
    Throws:
      `java.lang.Exception`

  - ### SetDrawerOpening

    public void SetDrawerOpening​(boolean value) throws java.lang.Exception
    Drawer
    Parameters:
      `value` - Enable / Disable Auto Drawer opening
    Throws:
      `java.lang.Exception`

  - ### GetDepartmentPrint

    public boolean GetDepartmentPrint() throws java.lang.Exception
    Returns:
      print name of the Department in receipt
    Throws:
      `java.lang.Exception`

  - ### SetDepartmentPrint

    public void SetDepartmentPrint​(boolean value) throws java.lang.Exception
    Drawer
    Parameters:
      `value` - Enable / Disable Printing of Department name in the receipt
    Throws:
      `java.lang.Exception`

  - ### SetInvoiceInterval

    public long SetInvoiceInterval​(java.lang.String startNumber, java.lang.String endNumber) throws java.lang.Exception
    Use If the current invoice counter have reached the end of the interval.
    Parameters:
      `startNumber` - - The starting number of the interval. Max 10 digits (1...9999999999).
      `endNumber` - - The ending number of the interval. Max 10 digits (1...9999999999).
    Returns:
      The current invoice receipt number (1...9999999999)
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`
      `java.lang.Exception`

  - ### GetInvoiceInterval

    public java.util.ArrayList<java.lang.String> GetInvoiceInterval() throws java.io.IOException, FiscalException
    Returns:
      Start - The current starting value of the interval (1...9999999999) End - The current ending value of the interval (1...9999999999) Current - The current invoice receipt number (1...9999999999)
    Throws:
      `java.io.IOException`
      `FiscalException`